worker_processes  1;

#error_log  logs/error.log;
#error_log  logs/error.log  notice;
#error_log  logs/error.log  info;
#error_log  logs/error.log  debug;

#pid        logs/nginx.pid;

events {
	worker_connections  1024;
}

# HTTP服务
http {
	include       mime.types;
	default_type  application/octet-stream;

	server {
		listen 8088;
		server_name      localhost;
		location /callApi {
			proxy_pass http://127.0.0.1:30006/peak/timatrix/callApi;
			proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
			proxy_set_header X-Forwarded-Proto $scheme;
			proxy_set_header X-Forwarded-Port $server_port;
		}
		location /flvlive {
			proxy_pass http://127.0.0.1:8080/live;           

		}

		location /video {
			proxy_pass http://127.0.0.1:8089/video;           

		}

	}
}
